void moveTo(int pixel, int pen) {

  int xKoordinate = pixel % 640;                 // x-Koordinate des Pixels
  int yKoordinate = (pixel - xKoordinate) /640;  // y-Koordinate des Pixels
  int xSteps =   (xKoordinate -xRob)*9 ;         // Anzahl der Schritte; *10 wäre zu viel für den Roboter, er würde über seine Grenzen fahren
  int ySteps =   (yKoordinate -yRob)*9 ;

  if (pen != penPosition) { // bewegt den Stift, falls sich seine Position ändert
    penPosition= pen;
    if (penPosition ==1) { 
      myPort.write(-30+ ";0\n"); //nimmt den Stift hoch
    } else if (penPosition ==0) {
      myPort.write(30+ ";0\n"); // setzt den Stift ab
    }
  }
  delay(pause);
  if (pen == 1) { // wenn der Stifft oben ist fährt er zu den gewünschten Punkt in der er die Motoren nacheinader ansteuert

    myPort.write( xSteps + ";1\n");       
    delay(500+abs(xSteps)); // gibt den Steppern Zeit sich zu bewegen
    myPort.write( ySteps+ ";2\n");
    delay(500+abs(ySteps));
    
  } else if (pen ==0) { // wenn der Stift abgesetz ist, dann wird eine Treppe zwischen beiden Punkten gezeichnet

    int yMiniStep=0;  // unterscheidet, ob in x-Richtung gegangen werden muss oder nicht
    if (xSteps !=0) {
      yMiniStep=int(ySteps*9/abs(xSteps));
    } else {
      yMiniStep=ySteps;
    }
    if (ySteps != 0) {
      for (int i=0; i < abs(xSteps/9)+1; i++) { // Zeichnet Line zwischen den Pixeln bzw. Koordinaten
        if (xSteps > 0) { // bewegt einen Pixel in x-Richtung
          myPort.write( 9 + ";1\n");
        } else if (xSteps< 0) {
          myPort.write( -9 + ";1\n");
        }         
        delay(150);
        // bewegt in y-Richtung im Verhältniss zur x-Richtung
        myPort.write( yMiniStep + ";2\n" );

        delay(500+ abs(yMiniStep));
      }
    } else {
      myPort.write( xSteps + ";2\n"); // bewegt auf der x-Achse wenn keine Schritte in y-Richtung gemacht werden
    }
  }
  xRob = xKoordinate ; //aktualisiert die Position des Roboters, nimmt die neuen Koordinaten an
  yRob = yKoordinate ;
}